# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "readable-name-generator"
version = "4.1.9"
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generate a readable name for throwaway infrastructure"
readme = "README.md"
keywords = [
    "names",
    "utility",
]
categories = [
    "development-tools::testing",
    "command-line-utilities",
]
license = "CC0-1.0"
repository = "https://github.com/PurpleBooth/anarchist-readable-name-generator-lib.git"

[[bin]]
name = "readable-name-generator"
path = "src/main.rs"

[dependencies.anarchist-readable-name-generator-lib]
version = "0.1.2"

[dependencies.clap]
version = "4.5.16"
features = [
    "derive",
    "cargo",
    "wrap_help",
    "env",
    "unicode",
]

[dependencies.clap_complete]
version = "4.5.22"

[dependencies.miette]
version = "7.2.0"
features = ["fancy"]

[dependencies.rand]
version = "0.8.5"

[dependencies.rand_pcg]
version = "0.3.1"

[dependencies.thiserror]
version = "1.0.63"
